public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: profiles/, dev-lua/lua-argparse/
@ 2020-11-29  1:33 Conrad Kostecki
  0 siblings, 0 replies; only message in thread
From: Conrad Kostecki @ 2020-11-29  1:33 UTC (permalink / raw
  To: gentoo-commits

commit:     675f7bbe8591f55534e6ff5a5d88e16f59751193
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 29 00:21:27 2020 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Sun Nov 29 01:32:22 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=675f7bbe

dev-lua/lua-argparse: migrate to lua eclass

Closes: https://bugs.gentoo.org/752924
Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 .../lua-argparse/lua-argparse-0.6.0-r100.ebuild    | 60 ++++++++++++++++++++++
 dev-lua/lua-argparse/metadata.xml                  |  4 ++
 profiles/package.mask                              |  1 +
 3 files changed, 65 insertions(+)

diff --git a/dev-lua/lua-argparse/lua-argparse-0.6.0-r100.ebuild b/dev-lua/lua-argparse/lua-argparse-0.6.0-r100.ebuild
new file mode 100644
index 00000000000..ea350b4d10e
--- /dev/null
+++ b/dev-lua/lua-argparse/lua-argparse-0.6.0-r100.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+LUA_COMPAT=( lua5-{1..3} luajit )
+
+inherit lua toolchain-funcs
+
+DESCRIPTION="Command line argument parser for the Lua Programming Language"
+HOMEPAGE="https://github.com/mpeterv/argparse"
+SRC_URI="https://github.com/mpeterv/${PN/lua-/}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${PN//lua-/}-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE="doc test"
+
+RESTRICT="!test? ( test )"
+
+RDEPEND="${LUA_DEPS}"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	virtual/pkgconfig
+	doc? ( dev-python/sphinx )
+	test? (
+		>=dev-lua/busted-2.0.0-r100[${LUA_USEDEP}]
+		${RDEPEND}
+	)
+"
+
+src_compile() {
+	if use doc; then
+		sphinx-build docsrc html || die
+		rm -rf "${S}"/html/{.doctrees,_sources} || die
+	fi
+}
+
+lua_src_test() {
+	busted  --exclude-tags="unsafe" --lua=${ELUA} || die
+}
+
+src_test() {
+	lua_foreach_impl lua_src_test
+}
+
+lua_src_install() {
+	insinto "$(lua_get_lmod_dir)"
+	doins src/argparse.lua
+}
+
+src_install() {
+	default
+
+	use doc && local -a HTML_DOCS=( "html/." )
+	einstalldocs
+
+	lua_foreach_impl lua_src_install
+}

diff --git a/dev-lua/lua-argparse/metadata.xml b/dev-lua/lua-argparse/metadata.xml
index 3af62013677..5ec193fa4b3 100644
--- a/dev-lua/lua-argparse/metadata.xml
+++ b/dev-lua/lua-argparse/metadata.xml
@@ -1,6 +1,10 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
+	<maintainer type="person">
+		<email>conikost@gmail.com</email>
+		<name>Conrad Kostecki</name>
+	</maintainer>
 	<maintainer type="person">
 		<email>vpayno+gentoo@gmail.com</email>
 		<name>Victor Payno</name>

diff --git a/profiles/package.mask b/profiles/package.mask
index 23342c0de62..2eaf9456d62 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -513,6 +513,7 @@ dev-lua/luacrypto
 >=dev-lua/dkjson-2.5-r100
 >=dev-lua/ldoc-1.4.6-r100
 >=dev-lua/lpeg-1.0.2-r100
+>=dev-lua/lua-argparse-0.6.0-r100
 >=dev-lua/lua-bit32-5.3.5-r100
 >=dev-lua/lua-utf8-0.1.3-r100
 >=dev-lua/lua-zlib-1.2-r100


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2020-11-29  1:33 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-11-29  1:33 [gentoo-commits] repo/gentoo:master commit in: profiles/, dev-lua/lua-argparse/ Conrad Kostecki

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox